package cn.com.ctop.kuaishou.modules.dimension.mapper;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionCreative;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * 多维度测试关联创意
 *
 * @author jeecg-boot
 * 2021-07-22
 * @version V1.0
 */
public interface KuaiShouDimensionCreativeMapper extends BaseMapper<KuaiShouDimensionCreative> {

    void addBatch(@Param("addList") List<KuaiShouDimensionCreative> addList);

    void updateBy(@Param("unitTableId") String id);

    List<Long> getAccountList();

    void removeByUnitTableIds(@Param("ids") List<String> strings);
}
